Subject: Re:Fiebiger Archives

From: [email-masked]
Date: Sat, 17 Feb 1996 18:10:13 -0500

I was fortunate today to have the opportunity to help Fred Borcherdt pack
up the archives of the P.A. Fiebiger Company for transport to the National
Ornamental Metal Museum in Memphis.  During the course of the day I scanned
the archives which included blueprints, photographs, and job
estimates/contracts.  This archive is being donated by Mr. Joe Fiebiger.  The
archive represents not just the work of a single lifetime but the work of 3
generations.

   The work shown on the drawings and photographs included a broad range of
architectural ironwork, as well as, furniture ornaments, etc.  The work would
definitely be considered equal in quality and design to the Yellin work that
I have seen published.  The blueprints included, for example, work on the
Getty Mansion, the U.S. Senate and House Chambers, the Statue of Liberty
restoration, etc., etc., etc.  The work that I saw spanned the timeframe from
1924 to 1990, at least. 
  
    I am not very familiar with historical ironwork and I was completely
unaware of the Fiebiger's work.  I hope that the Museum will take the
opportunity to make this body of work accessible to interested parties.  I
really hope that someone will do a book of the photographs of the work,
similar to some of the Yellin work in print.

Check it out in Memphis.

Dave Hawkins
Tucson Arizona